<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:param name="uri" select="@value"/>
<xsl:template match="urn/wsuri">
	<div><div class="leftcol">Reg. URL: </div><div class="rightcol"><a><xsl:attribute name="id"><xsl:value-of select="@value"/></xsl:attribute><xsl:value-of select="@value"/></a></div></div>
</xsl:template>
<xsl:template match="urn/ldapuri">
	<div><div class="leftcol">LDAP URI: </div><div class="rightcol"><xsl:value-of select="@value"/></div></div>
</xsl:template>
<xsl:template match="urn" mode="main">
		<div id="urnbox">
		 <div><div class="leftcol">Namespace: </div><div class="rightcol"><font color="#990000"><xsl:value-of select="@value"/></font></div></div>
		 <div><div class="leftcol">Owner: </div><div class="rightcol"><xsl:value-of select="@owner"/></div></div>
		 <xsl:apply-templates select="ldapuri"/>
		 <xsl:apply-templates select="wsuri"/>
		</div>
</xsl:template>
<xsl:template match="urns">
	<html xmlns="http://www.w3.org/1999/xhtml">
		<head>
			<meta http-equiv="content-type" content="text/html; charset=utf-8" />
			<style type="text/css">
    <![CDATA[
    
html, body { 
    font-family:verdana, arial, helvetica, sans-serif;
    font:11px/14px verdana, arial, helvetica, sans-serif;
    margin: 0;
    height:100%;
    color: white;
    background: #808080;
}

body div#main {
	margin: auto;
	height: 100%;
	width: 780px;
    background: #ffffff;
}

div#main div#header {
	background: #ECFFE6;
	background: #f7f7f7;
	border-bottom: 4px solid #ADC7A6;
}

div#main div#header div#headercontent {
	margin-left: 24px;
	background: url(logo-urnreg.png) no-repeat center left;
	position: relative;
	text-align: right;
	color: black;
	font-size: 18px;
	padding: 16px;
}

div#main div#header div#headerthing {
	height: 8px;
	background: #5F9410;
}

div#content {
	color: black;
	padding: 12px; 
}

div#urnbox {
	padding: 12px;
	background-color: #fafafa;
	position: relative;
}
 
div#urnbox div {
	padding: 2px;
}

div.leftcol {
	position: absolute;
	font-weight: bold;
}

div.rightcol {
	margin-left: 150px;
}

	]]>
			</style>
			<title>URNreg - List web service</title>
		</head>
		<body onload="seturns();">
			<div id="main">
				<div id="header">
					<div id="headerthing">.</div>
					<div id="headercontent">Delegated URNs</div>
				</div>
				<div id="content">
					<xsl:apply-templates select="urn" mode="main"/>
				</div>
			</div>
		</body>	
	</html>
</xsl:template>
</xsl:stylesheet>